Subject: Re: w32api-headers-3.0b_svn5431-1: _WIN32 no longer set on Cygwin
From: Kai Tietz <[email-masked]>
To: JonY <[email-masked]>
Cc: [email-masked]
Date: Sat, 20 Oct 2012 18:55:50 +0200
List-Id: <cygwin.cygwin.com>

2012/10/20 JonY wrote:
> On 10/20/2012 21:12, Christian Franke wrote:
>> Just for Info:
>>
>> The new /usr/include/w32api/windef.h does no longer define _WIN32.
>>
>> This may require compile fixes for some sources which check only for
>> _WIN32 and not for __CYGWIN__ after windows.h is included.
>>
>> Christian
>
> I can't imagine why you'd include windows.h and then check for _WIN32
> after the fact, but I still think mixing win32 calls and Cygwin calls is
> a bad idea, except for a few special cases.
>
> Anyway, I'll leave it to Kai to decide if it should be done, as I'm not
> sure if this request is proper.

That we don't define _WIN32 - actual we do internally but don't show
it to includer - is done by intention.  Actual Corinna and I decided
that this behavior is for cygwin the desired.
If you need to define _WIN32 then please do it within your
source-file, but don't expect that it gets defined for you by some
psdk-headers.

Kai

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple